Subject: bug#36157: 27.0.50; ediff-files does not work after lexical-binding was enabled for ediff

From: Eli Zaretskii <[email-masked]>
Date: Mon, 10 Jun 2019 18:37:07 +0300

> From: Alex Branham <[email-masked]>
> Date: Mon, 10 Jun 2019 08:41:50 -0500
> Cc: [email-masked]
> 
> > It seems like properly enabling lexical binding in ediff will be a bit
> > tricky.
> >
> > If you look at the code of ediff-find-file, you will see the use of
> > `symbol-value' everywhere.
> 
> Indeed, it looks like portions of ediff expect symbols like file-A and
> file-B to be dynamically bound, but also passes them through as
> arguments to functions. I'm not sure what the best way to deal with this
> is, since if we just mark them as special the lexical binding will
> shadow the global binding anyway. 
> 
> In the meantime, feel free to revert that patch if its causing issues.

If there are no ideas how to fix this in a week or so, I suggest to
revert the changeset while we consider the possible solutions, and add
a comment that converting these files to lexical-binding is hairy.

Thanks.